【活用ガイド】

[English]

JVNDB-2008-000065

EC-CUBE における SQL インジェクションの脆弱性

概要

株式会社ロックオンが提供する EC-CUBE には、SQL インジェクションの脆弱性が存在します。

株式会社ロックオンが提供する EC-CUBE は、オープンソースのショッピングサイト構築システムです。EC-CUBE には、SQL インジェクションの脆弱性が存在します。

CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


ロックオン
  • EC-CUBE Ver2 正式版 Version 2.1.2a およびそれ以前
  • EC-CUBE Ver2 RC版 Version 2.3.0-rc1 およびそれ以前

想定される影響

遠隔の第三者が、EC-CUBE で作成された EC サイトの管理者権限を取得する可能性があります。
対策

[アップデートする]
ベンダが提供する情報をもとに最新版へアップデートしてください。

もしくは
[ファイルを修正する]
ベンダが提供する情報をもとにファイルを修正してください。
ベンダ情報

ロックオン
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2008-4534
参考情報

  1. JVN : JVN#81111541
  2. National Vulnerability Database (NVD) : CVE-2008-4534
  3. IPA 緊急対策情報 : 「EC-CUBE」の古いバージョンを利用しているウェブサイトへの注意喚起
  4. IPA 緊急対策情報 : 200810_EC-CUBE
  5. Secunia Advisory : SA32065
  6. JVN iPedia (English) : JVNDB-2008-000065
更新履歴

[2008年10月01日]
  掲載
[2009年08月25日]
  対策:対策の記述を更新
  ベンダ情報:ロックオン (脆弱性一覧) を追加